ambari-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From nc...@apache.org
Subject [08/30] ambari git commit: AMBARI-19761. HSI start fails after Ambari upgrade with Unrecognized option: --skiphadoopversion and --skiphbasecp (Swapan Shridhar via smohanty)
Date Mon, 30 Jan 2017 15:40:29 GMT
AMBARI-19761. HSI start fails after Ambari upgrade with Unrecognized option: --skiphadoopversion
and --skiphbasecp (Swapan Shridhar via smohanty)


Project: http://git-wip-us.apache.org/repos/asf/ambari/repo
Commit: http://git-wip-us.apache.org/repos/asf/ambari/commit/771c9c01
Tree: http://git-wip-us.apache.org/repos/asf/ambari/tree/771c9c01
Diff: http://git-wip-us.apache.org/repos/asf/ambari/diff/771c9c01

Branch: refs/heads/branch-dev-patch-upgrade
Commit: 771c9c011b3ea00e4ad0171b04bd851c7ee74ee0
Parents: c600985
Author: Sumit Mohanty <smohanty@hortonworks.com>
Authored: Fri Jan 27 17:53:04 2017 -0800
Committer: Sumit Mohanty <smohanty@hortonworks.com>
Committed: Fri Jan 27 17:53:04 2017 -0800

----------------------------------------------------------------------
 .../HIVE/0.12.0.2.0/package/scripts/hive_server_interactive.py | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/ambari/blob/771c9c01/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/hive_server_interactive.py
----------------------------------------------------------------------
diff --git a/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/hive_server_interactive.py
b/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/hive_server_interactive.py
index 924c88c..ce10824 100644
--- a/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/hive_server_interactive.py
+++ b/ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/hive_server_interactive.py
@@ -284,9 +284,9 @@ class HiveServerInteractiveDefault(HiveServerInteractive):
       cmd = format("{stack_root}/current/hive-server2-hive2/bin/hive --service llap --instances
{params.num_llap_nodes}"
                    " --slider-am-container-mb {params.slider_am_container_mb} --size {params.llap_daemon_container_size}m"
                    " --cache {params.hive_llap_io_mem_size}m --xmx {params.llap_heap_size}m
--loglevel {params.llap_log_level}"
-                   " {params.llap_extra_slider_opts} --skiphadoopversion --skiphbasecp --output
{LLAP_PACKAGE_CREATION_PATH}/{unique_name}")
+                   " {params.llap_extra_slider_opts} --output {LLAP_PACKAGE_CREATION_PATH}/{unique_name}")
 
-      # '--slider-placement' param is supported from HDP Hive GA version.
+      # Append params that are supported from Hive llap GA version.
       if params.stack_supports_hive_interactive_ga:
         # Figure out the Slider Anti-affinity to be used.
         # YARN does not support anti-affinity, and therefore Slider implements AA by the
means of exclusion lists, i.e, it
@@ -300,7 +300,7 @@ class HiveServerInteractiveDefault(HiveServerInteractive):
         else:
           Logger.info("Setting slider_placement: 4, as llap_daemon_container_size : {0} <=
0.5 * "
                      "YARN NodeManager Memory({1})".format(params.llap_daemon_container_size,
params.yarn_nm_mem))
-        cmd += format(" --slider-placement {slider_placement}")
+        cmd += format(" --slider-placement {slider_placement} --skiphadoopversion --skiphbasecp")
 
       if params.security_enabled:
         llap_keytab_splits = params.hive_llap_keytab_file.split("/")


Mime
View raw message